/* this file simulate the execution behaviour of TestRT unit test to fill in the atl_buffer.
 * when running on the target the TDP RTRT_IO are used to dump the atl_buffer on the host machine.
 * Its goal is to provide a short source file to compil without instrumentation or unit testing
 * to test the TDP execution with the defined RTRT_IO.
 *
 * the compilation using GNU look like:
 * gcc testExec.c -I"%ATLTGT%\lib" -I.
 *
 * Its execution using TDP > execution function can be done using following command
 * exec testExec.<execExt>
 * The resulting atlout.spt shouldbe full of raw lines of A-Z prefixed by a figure.
 * last line is 'tdp end' token
 */
#define ATL_YES      1
#define ATL_NO       0
#define USE_ATU ATL_NO
#define USE_ATV ATL_NO
#define USE_ATS ATL_NO
#define USE_ATO ATL_NO
#define USE_ATK ATL_NO
#define USE_ATC ATL_NO
#define USE_ATT ATL_NO
#define USE_ATP ATL_NO
#define USE_ATQ ATL_NO

#define ATL_BUFFER_SIZE 1024
#define ATL_MULTI_THREADS ATL_NO
#define ATL_MULTI_PROCESS ATL_NO
#define ATL_NODE_NAME ".root."
#define ATL_MIME_NAME "System"
#define ATL_TRACES_FILE "atlout.spt"
#define ATL_TRACES_FILE_LEN 10
#define ATL_OS_CLOCK 1
#define ATL_PROCESS_CLOCK 2
#define ATL_CLOCK_KIND ATL_OS_CLOCK
#define NEEDS_atl_buffer
#define NEEDS_atl_out
#define RTRT_UNCONTROLED_EXIT 0

#include "TP.c"
char line[30];

int dump( int t )
{
  int i;
  for(i=0;i<ATL_BUFFER_SIZE;i+=28){
	atl_line_add_char('0'+t);
  	atl_buffer_add(line);
  	if(++t > 9) t=0;
  }
  return t;
}

void test( void )
{
  int i=0;
  while(i<26)
    line[i++]=('A'+i);
  line[i++]=0x0A;
  line[i]=0;

  i=dump(0);
  i=dump(i);
  i=dump(i);

}

RTRT_MAIN_HEADER

  atl_early_init();
	test();
  atl_exit();

RTRT_MAIN_RETURN
}
